/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma ocne
#include "eventtext.h"

typedef enum {
  EVENT_TYPE_NULL = 0,
  EVENT_TYPE_TEXT,
} eventtype_t;

#define EVENT_TYPE_COUNT 2

typedef struct _eventitem_t {
  eventtype_t type;

  union {
    eventtext_t text;
  };
} eventitem_t;

#define EVENT_ITEM_COUNT_MAX 32